///<reference path="/Scripts/ExtPB_Net.js" />
///<reference path="/Scripts/MyExtPB.js" />
///<reference path="/Scripts/ExtPB_Dll_Pb_Http.js" />
///<reference path="/Scripts/MyExtPb_Input.js" />

function W_YW_LIST() {

    var self = this;
    var requestor = new PBWindow();
    var sc_1 = new SplitContainer(requestor);
    var dw_1 = new DataWindow(requestor);
    var dw_2 = new DataWindow(requestor);

    if (typeof (this.bind) == "function") var baseBind = this.bind;
    this.bind = function (win) {
        if (typeof (baseBind) == "function") baseBind(win);

        if (requestor == null) requestor = new PBWindow();
        requestor.Attach(win);
        if (sc_1 == null) sc_1 = new SplitContainer(requestor);
        sc_1.Attach(win.Control("sc_1"));
        if (dw_1 == null) dw_1 = new DataWindow(requestor);
        dw_1.Attach(win.Control("dw_1"));
        if (dw_2 == null) dw_2 = new DataWindow(requestor);
        dw_2.Attach(win.Control("dw_2"));

        if (typeof (self.PostOpen) == "function")
            win.AttachEvent("window", "PostOpen", self.PostOpen);

    }

    if (typeof (this.unbind) == "function") var baseUnBind = this.unbind;
    this.unbind = function () {
        if (typeof (this.Release) == "function") this.Release();
        if (typeof (baseUnBind) == "function") baseUnBind();

        sc_1.Detach(); sc_1 = null;
        dw_1.Detach(); dw_1 = null;
        dw_2.Detach(); dw_2 = null;
        requestor.Detach(); requestor = null;

        setTimeout(CollectGarbage, 100);
    }

    //以上代码由设计器自动生成,请不要手工修改
    //ExtPB.Net JavaScript End  设计器查找标志,请不要删除或修改
    var parentWin = null;
    
    var dw_list = null;
    this.PostOpen = function () {
        //dw_1.SetHeight(600);
      
    }
    this.SetParentWindow = function (w, dw) {
        parentWin = w;
        dw_list = dw;
    }
}